/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.gruppe.boundary;

import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class PolitischeGruppeDAO extends AbstractPolitischeGruppeDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(PolitischeGruppe politischeGruppe){
    getEntityManager().persist(politischeGruppe);
  }

  public void remove(PolitischeGruppe politischeGruppe){
    getEntityManager().remove(politischeGruppe);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                        
        /**
        * Name: OhneWahlNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT gruppe FROM PolitischeGruppe gruppe WHERE gruppe.wahl IS NULL ORDER BY gruppe.schluessel<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<PolitischeGruppe> findByOhneWahl() {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("PolitischeGruppe.findByOhneWahl"  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByOhneWahl( ));
        }
        return (java.util.List<PolitischeGruppe>) cached;
        }
            return super.findByOhneWahl( );
            }
                                        
        /**
        * Name: WahlAndGruppeArtenNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT gruppe FROM PolitischeGruppe gruppe WHERE gruppe.wahl = ?1 AND gruppe.gruppeArt IN (?2) ORDER BY gruppe.schluessel<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<PolitischeGruppe> findByWahlAndGruppeArten( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull java.util.Collection<de.ivu.elect.business.gruppe.entity.GruppeArt> gruppeArten) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("PolitischeGruppe.findByWahlAndGruppeArten" ,  wahl ,  gruppeArten  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndGruppeArten( wahl ,  gruppeArten  ));
        }
        return (java.util.List<PolitischeGruppe>) cached;
        }
            return super.findByWahlAndGruppeArten( wahl ,  gruppeArten  );
            }
                                        
        /**
        * Name: WahlNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT gruppe FROM PolitischeGruppe gruppe WHERE gruppe.wahl = ?1 ORDER BY gruppe.schluessel<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<PolitischeGruppe> findByWahl( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("PolitischeGruppe.findByWahl" ,  wahl  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahl( wahl  ));
        }
        return (java.util.List<PolitischeGruppe>) cached;
        }
            return super.findByWahl( wahl  );
            }
                        
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}